%define name		rekall
%define fversion	2.2.3
%define	rev               2 
%define dversion          2.2.3-2
%define cvs		%nil
%define release		1mdk
%define libmajor	0
%define libname		%mklibname %name %libmajor 
%define __libtoolize    /bin/true

Summary:	Rekall: A KDE database front end
Name:		%{name}
%if %rev > 0
Version:	%{fversion}.%{rev}
%else
Version:	%{fversion}
%endif
Release:	%{release}
Epoch:          1
Group:		Databases
Source: 	%{name}-%{dversion}.tar.bz2
Patch1:		rekall-python-2.4-configure.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Prefix:		/usr
License:	GPL
URL:		http://www.rekallrevealed.org/
BuildRequires:  libxml2-devel qt3-devel  
BuildRequires:  python-devel xbase libxbase-devel
Requires:	rekall-common rekall-kde rekall-drivers rekall-python-common rekall-extra
Requires:	rekall-python rekall-xbase xbase
Requires:	rekall-python-runtime rekall-docs

%description
Rekall - A KDE database front end

%package  common
Summary:	Rekall- Files common to full and runtime versions
Group:		Databases
Provides:	%name-common = %version-%release

%description  common
Rekall - Files common to full and runtime versions

%package -n %libname-common
Summary:	Libraries for Rekall-common
Group:		System/Libraries
Provides:	lib%name-common = %version-%release
Obsoletes:     librekall2-common

%description -n %libname-common
Libraries for Rekall-common

%package -n %libname-devel
Summary:	Rekall - Interface development package
Group:		Development/Other
Provides:	lib%name-devel = %version-%release
Requires:	%libname-runtime = %version-%release
Requires:	%libname = %version-%release
Obsoletes:     librekall2-devel

%description -n %libname-devel
Rekall - Interface development package

%package  docs
Summary:	Rekall- Documentation
Group:		Databases
Provides:	%name-docs = %version-%release

%description  docs
Rekall - Documentation

%package  drivers
Summary:	Rekall- Standard drivers and interface
Group:		Databases
Provides:	%name-drivers = %version-%release

%description  drivers
Rekall - Standard drivers and interface

%package -n %libname-drivers
Summary:	Libraries for Rekall-drivers and interface
Group:		System/Libraries
Provides:	lib%name-drivers = %version-%release
Obsoletes:     librekall2-drivers

%description -n %libname-drivers
Libraries for Rekall-drivers and interface

%package  extra
Summary:	Rekall- Extra stuff
Group:		Databases
Provides:	%name-extra = %version-%release
Requires:       lib%name-extra = %version-%release
 
%description  extra
Rekall - Extra stuff

%package -n %libname-extra
Summary:	Libraries for Rekall extra stuff
Group:		System/Libraries
Provides:	lib%name-extra = %version-%release
Obsoletes:     librekall2-extra

%description -n %libname-extra
Libraries for Rekall extra stuff

%package -n %libname
Summary:	Rekall - Libraries
Group:		System/Libraries
Provides:	lib%name = %version-%release
Provides:       devel(libkbase_wizard) 
Obsoletes:     librekall2   

%description -n %libname
Rekall - Libraries

%package  mysql
Summary:	Rekall- A KDE database front end: MySQL driver
Group:		Databases
BuildRequires:	mysql-devel
Requires:        lib%name-mysql = %version-%release
Provides:	%name-mysql = %version-%release

%description  mysql
Rekall - A KDE database front end: MySQL driver

%package -n %libname-mysql
Summary:	Libraries for Rekall MySQL driver
Group:		System/Libraries
Provides:	lib%name-mysql = %version-%release
Obsoletes:     librekall2-mysql

%description -n %libname-mysql
Libraries for Rekall MySQL driver

%package  pgsql
Summary:	Rekall- PgSQL driver
Group:		Databases
BuildRequires:	postgresql-devel
Requires:       lib%name-pgsql = %version-%release
Provides:	%name-pgsql = %version-%release

%description  pgsql
Rekall - PgSQL driver

%package -n %libname-pgsql
Summary:	Libraries for Rekall PgSQL driver
Group:		System/Libraries
Provides:	lib%name-pgsql = %version-%release
Obsoletes:     librekall2-pgsql

%description -n %libname-pgsql
Libraries for Rekall PgSQL driver

%package  python
Summary:	Rekall- Full python interpreter
Group:		Databases
Provides:	%name-python = %version-%release
Requires:	%name-python-common
Requires:       lib%name-python = %version-%release

%description  python
Rekall - Full python interpreter

%package -n %libname-python
Summary: 	Libraries for Rekall python interpreter
Group:		System/Libraries
Provides:	lib%name-python = %version-%release
Obsoletes:     librekall2-python

%description -n %libname-python
Libraries for Rekall python interpreter

%package  python-common
Summary:	Rekall- Python interpreter common
Group:		Databases
Provides:	%name-python-common = %version-%release

%description  python-common
Rekall - Python interpreter common

%package  python-runtime
Summary:	Rekall- Runtime python interpreter
Group:		Databases
Provides:	%name-python-runtime = %version-%release

%description  python-runtime
Rekall - Runtime python interpreter

%package -n %libname-python-runtime
Summary:	Libraries for Rekall python runtime interpreter
Group:		System/Libraries
Provides:	lib%name-python-runtime = %version-%release
Obsoletes:     librekall2-python-runtime

%description -n %libname-python-runtime
Libraries for Rekall python runtime interpreter

%package  runtime-extra
Summary:	Rekall- Runtime extra stuff
Group:		Databases
Provides:	%name-runtime-extra = %version-%release

%description  runtime-extra
Rekall - Runtime extra stuff

%package -n %libname-runtime-extra
Summary:	Libraries for Rekall runtime extras
Group:		System/Libraries
Provides:	lib%name-runtime-extra = %version-%release
Obsoletes:     librekall2-runtime-extra

%description -n %libname-runtime-extra
Libraries for Rekall runtime extras

%package  runtime
Summary:	Rekall- A KDE database front end: Runtime version
Group:		Databases
Requires:	%name-runtime-extra 
Requires:	%name-python-runtime 
Requires:	%name-python-common
Requires:	%name-common
Requires:	%name-docs
Requires:	%name-xbase 
Requires:	%name-kde 
Provides:	%name-runtime
Provides:	%name-runtime = %version-%release

%description  runtime
Rekall - A KDE database front end: Runtime version

%package -n %libname-runtime
Summary:	Rekall - Libraries for runtime version
Group:		Databases
Provides:	lib%name-runtime = %version-%release
Obsoletes:     librekall2-runtime

%description -n %libname-runtime
Rekall - Libraries for runtime version

%package  xbase
Summary:	Rekall- XBase/XBSQL driver
Group:		Databases
BuildRequires:	xbase-devel xbsql-devel
Requires:	xbase xbsql
Provides:	%name-xbase = %version-%release

%description  xbase
Rekall - XBase/XBSQL driver

%package -n %libname-xbase
Summary:	Libraries for Rekall XBase/XBSQL driver
Group:		System/Libraries
Provides:	lib%name-xbase = %version-%release
Obsoletes:     librekall2-xbase

%description -n %libname-xbase
Libraries for Rekall XBase/XBSQL driver

%package  kde
Summary:	Rekall- KDE plugins
Group:		Databases
Requires:       lib%name-kde = %version-%release 
Provides:	%name-kde = %version-%release

%description  kde
Rekall - KDE plugins

%package -n %libname-kde
Summary:	Libraries for Rekall KDE plugins
Group:		System/Libraries
Provides:	lib%name-kde = %version-%release

%description -n %libname-kde
Libraries for Rekall KDE plugins

%prep
%setup -q -n %{name}-%{fversion}  
%patch1 -p1

%build
rm -f config.cache

export KDEDIR=%{prefix}

%configure2_5x  --with-qlib-loader			\
	--with-gui=kde			\
	--enable-docs=yes			\
	--enable-runtime=yes			\
        --with-sgml-prefix=/usr                 \
        --disable-rpath
 

%make   
 
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#icons 
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/16x16/apps/rekall.png $RPM_BUILD_ROOT/%{_miconsdir}/rekall.png
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/16x16/apps/rekall.png $RPM_BUILD_ROOT/%{_miconsdir}/rekallrt.png
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/32x32/apps/rekall.png $RPM_BUILD_ROOT/%{_iconsdir} 
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/32x32/apps/rekall.png $RPM_BUILD_ROOT/%{_iconsdir}/rekallrt.png 
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/48x48/apps/rekall.png $RPM_BUILD_ROOT/%{_liconsdir} 
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/48x48/apps/rekall.png $RPM_BUILD_ROOT/%{_liconsdir}/rekallrt.png 
 
#rm zero-length file
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/rekall/stock/component/py/dummy
#fixed upstream
#cp -r doc/rekall/* $RPM_BUILD_ROOT/%{_docdir}/HTML/en/rekall
 
%find_lang %{name}

##CAE fix location for rekall/rekallrt.desktop
mv -f %buildroot/%_datadir/*.desktop %buildroot/%_datadir/applnk/Applications

mkdir -p $RPM_BUILD_ROOT%{_menudir} 

kdedesktop2mdkmenu.pl rekall Applications/Databases %buildroot/%_datadir/applnk/Applications/rekall.desktop %buildroot/%_menudir/rekall

kdedesktop2mdkmenu.pl rekall-runtime Applications/Databases %buildroot/%{_datadir}/applnk/Applications/rekallrt.desktop %buildroot/%_menudir/rekall-runtime 

%post -n rekall -p /usr/bin/update-menus
%postun -n rekall -p /usr/bin/update-menus

%post -n rekall-runtime -p /usr/bin/update-menus
%postun -n rekall-runtime -p /usr/bin/update-menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libname-runtime -p /sbin/ldconfig
%postun -n %libname-runtime -p /sbin/ldconfig

%post -n %libname-devel -p /sbin/ldconfig
%postun -n %libname-devel -p /sbin/ldconfig

%post -n %libname-common -p /sbin/ldconfig
%postun -n %libname-common -p /sbin/ldconfig

%post -n %libname-drivers -p /sbin/ldconfig
%postun -n %libname-drivers -p /sbin/ldconfig

%post -n %libname-extra -p /sbin/ldconfig
%postun -n %libname-extra -p /sbin/ldconfig

%post -n %libname-kde -p /sbin/ldconfig
%postun -n %libname-kde -p /sbin/ldconfig

%post -n %libname-mysql -p /sbin/ldconfig
%postun -n %libname-mysql -p /sbin/ldconfig

%post -n %libname-pgsql -p /sbin/ldconfig
%postun -n %libname-pgsql -p /sbin/ldconfig

%post -n %libname-python -p /sbin/ldconfig
%postun -n %libname-python -p /sbin/ldconfig

%post -n %libname-python-runtime -p /sbin/ldconfig
%postun -n %libname-python-runtime -p /sbin/ldconfig

%post -n %libname-runtime-extra -p /sbin/ldconfig
%postun -n %libname-runtime-extra -p /sbin/ldconfig

%post -n %libname-xbase -p /sbin/ldconfig
%postun -n %libname-xbase -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
%files -f %{name}.lang
%defattr(-,root,root)
%doc README.FIRST AUTHORS INSTALL INSTALL.KDE COPYING LICENSE Release.Notes
%{_datadir}/applnk/Applications/rekall.desktop
%{_bindir}/rekall
%{_menudir}/rekall
%{_miconsdir}/rekall.png
%{_iconsdir}/rekall.png
%{_liconsdir}/rekall.png

%files  common
%defattr(-,root,root)
%{_datadir}/apps/rekall/icons/hicolor/16x16/*
%{_datadir}/apps/rekall/icons/hicolor/22x22/*
%{_datadir}/apps/rekall/icons/hicolor/32x32/*
%{_datadir}/apps/rekall/icons/hicolor/48x48/*
%{_datadir}/apps/rekall/highlight/global/*
%{_datadir}/apps/rekall/dict/*
%{_datadir}/apps/rekall/pics/*.png
%{_datadir}/apps/rekall/help/*
%{_datadir}/apps/rekall/LICENSE
%{_datadir}/apps/rekall/keymap
%{_datadir}/apps/rekall/rekall.png
%{_datadir}/apps/rekall/rekallui.*
%{_datadir}/apps/rekall/wizards/*
%{_datadir}/apps/rekall/services/rekall_table.desktop
%{_datadir}/apps/rekall/services/rekall_form.desktop
%{_datadir}/apps/rekall/services/rekall_report.desktop
%{_datadir}/apps/rekall/services/rekall_query.desktop
%{_datadir}/apps/rekall/services/rekall_copier.desktop
%{_datadir}/apps/rekall/services/rekall_component.desktop
%{_datadir}/apps/rekall/services/rekall_editor.desktop
%{_datadir}/apps/rekall/services/rekall_macro.desktop

%files -n %libname-common
%defattr(-,root,root)
%{_libdir}/libel_compile.so.*
%{_libdir}/libel_compile.la
%{_libdir}/libel_interp.so.*
%{_libdir}/libel_interp.la
%{_libdir}/libkbase_kde.so.*
%{_libdir}/libkbase_kde.la
%{_libdir}/libkbase_tkwidgets.so.*
%{_libdir}/libkbase_tkwidgets.la 
%{_libdir}/libel_compile.so
%{_libdir}/libel_interp.so.*
%{_libdir}/libel_interp.so 
%{_libdir}/libkbase_kde.so
%{_libdir}/libkbase_tkwidgets.so.*
%{_libdir}/libkbase_tkwidgets.so

%files -n %libname-devel 
%defattr(-,root,root)
%{_includedir}/%{name}/*.h

%files  docs 
%defattr(-,root,root)
%{_docdir}/HTML/en/rekall/*.sgml
%{_docdir}/HTML/en/rekall/extract.py
%{_docdir}/HTML/en/rekall/help.xsl
%{_docdir}/HTML/en/rekall/index.cache.bz2
%{_docdir}/HTML/en/rekall/index.docbook
%{_docdir}/HTML/en/rekall/mkchm
%{_docdir}/HTML/en/rekall/mkhtml
%{_docdir}/HTML/en/rekall/mkpdf
%{_docdir}/HTML/en/rekall/common
%{_docdir}/HTML/en/rekall/properties/*
#%{_docdir}/HTML/en/rekall/*.html
%{_docdir}/HTML/en/rekall/chap*/* 
%{_docdir}/HTML/en/rekallrt

%files  drivers 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_dummy.desktop

%files -n %libname-drivers
%defattr(-,root,root)
%{_libdir}/libkbase_common.so.*
%{_libdir}/libkbase_common.la
%{_libdir}/libkbase_common.so

%files  extra 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_plugin_extra.desktop

%files -n %libname-extra
%defattr(-,root,root)
%{_libdir}/libkbase_plugin_extra.so
%{_libdir}/libkbase_plugin_extra.la

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libkbase.so.*
%{_libdir}/libkbase.la
%{_libdir}/libkbase_wizard.la
%{_libdir}/libkbase_wizard.so.*
%{_libdir}/libkbase_app.so.*
%{_libdir}/libkbase_app.la
%{_libdir}/libkbase_tableview.la
%{_libdir}/libkbase_formview.la
%{_libdir}/libkbase_reportview.la
%{_libdir}/libkbase_queryview.la
%{_libdir}/libkbase_copierview.la
%{_libdir}/libkbase_componentview.la
%{_libdir}/libkbase_editor.la
%{_libdir}/libkbase_macroview.la
%{_libdir}/librekall.so.*
%{_libdir}/librekall.la
%{_libdir}/libkbase_wizard.so
%{_libdir}/libkbase_tableview.so
%{_libdir}/librekall.so
%{_libdir}/libkbase.so
%{_libdir}/libkbase_app.so
%{_libdir}/libkbase_formview.so
%{_libdir}/libkbase_reportview.so
%{_libdir}/libkbase_queryview.so
%{_libdir}/libkbase_copierview.so
%{_libdir}/libkbase_componentview.so
%{_libdir}/libkbase_editor.so
%{_libdir}/libkbase_macroview.so
%{_libdir}/libkbase_driver_xbase.so

%files  mysql
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_driver_mysql.desktop

%files -n %libname-mysql
%defattr(-,root,root)
#%{_libdir}/libkbase_driver_mysql.so.*
%{_libdir}/libkbase_driver_mysql.so
%{_libdir}/libkbase_driver_mysql.la

%files  pgsql
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_driver_pgsql.desktop

%files -n %libname-pgsql
%defattr(-,root,root)
%{_libdir}/libkbase_driver_pgsql.so
%{_libdir}/libkbase_driver_pgsql.la

%files  python 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_script_py.desktop
%{_datadir}/apps/rekall/stock/component/py/*

%files -n %libname-python
%defattr(-,root,root)
%{_libdir}/libkbase_script_py.so
%{_libdir}/libkbase_script_pysys.la
%{_libdir}/libkbase_script_py.la
%{_libdir}/libkbase_script_pysys.so

%files  python-common 
%defattr(-,root,root)
%{_datadir}/apps/rekall/script/py/*

%files  python-runtime 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekallrt_script_py.desktop

%files -n %libname-python-runtime
%defattr(-,root,root)
%{_libdir}/libkbasert_script_py.so
%{_libdir}/libkbasert_script_pysys.so
%{_libdir}/libkbasert_script_py.la
%{_libdir}/libkbasert_script_pysys.la
             
%files  runtime-extra 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekallrt_plugin_extra.desktop

%files -n %libname-runtime-extra
%defattr(-,root,root)
%{_libdir}/libkbasert_plugin_extra.la
%{_libdir}/libkbasert_plugin_extra.so

%files  runtime 
%defattr(-,root,root)
%{_datadir}/applnk/Applications/rekallrt.desktop
%{_bindir}/rekallrt
%{_datadir}/apps/rekallrt
%{_datadir}/apps/rekall/services/rekallrt_copier.desktop
%{_datadir}/apps/rekall/services/rekallrt_form.desktop
%{_datadir}/apps/rekall/services/rekallrt_query.desktop
%{_datadir}/apps/rekall/services/rekallrt_report.desktop
%{_datadir}/apps/rekall/services/rekallrt_table.desktop
%{_menudir}/rekall-runtime
%{_miconsdir}/rekallrt.png
%{_iconsdir}/rekallrt.png
%{_liconsdir}/rekallrt.png

%files -n %libname-runtime
%defattr(-,root,root)
%{_libdir}/libkbasert.so.*
%{_libdir}/libkbasert.la
%{_libdir}/libkbasert_app.so.*
%{_libdir}/libkbasert_app.la
%{_libdir}/libkbasert_formview.la
%{_libdir}/libkbasert_queryview.la
%{_libdir}/libkbasert_reportview.la
%{_libdir}/libkbasert_tableview.la
%{_libdir}/librekallrt.so.*
%{_libdir}/librekallrt.la
%{_libdir}/libkbasert_app.so 
%{_libdir}/libkbasert_formview.so
%{_libdir}/libkbasert_tableview.so
%{_libdir}/libkbasert_queryview.so
%{_libdir}/libkbasert_reportview.so
%{_libdir}/libkbasert.so
%{_libdir}/libkbasert_app.so
%{_libdir}/librekallrt.so

%files  xbase 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_driver_xbase.desktop

%files -n %libname-xbase
%defattr(-,root,root)
%{_libdir}/libkbase_driver_xbase.so.*
%{_libdir}/libkbase_driver_xbase.la
 
%files  kde
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/kdeparts.lst
%{_datadir}/apps/rekall/services/rekall_plugin_kde.desktop

%files -n %libname-kde
%defattr(-,root,root)
%{_libdir}/libkbase_plugin_kde.so
%{_libdir}/libkbase_plugin_kde.la

%changelog
* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.3.2-1mdk
- 2.2.3-2
- major is 0
- adjust requires
- rm p0
- add p1 to allow build with python-2.4
- add obsoletes librekall2 to ease upgrades
- chrpath no longer needed
- fix location of rekall/rekallrt.desktop
- misc spec fixes and updates

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Fix spec file

* Wed Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.1-1mdk
- 2.2.1
- rm requires for MySQL, postgresql

* Tue Jul 28 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.0-1mdk
- 2.2.0 final 
- adjust for upstream doc correction

* Fri Jul 02 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.beta4.4mdk
- fix provides
- specfile cleaning

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-0.beta4.3mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Wed May 26 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.1beta4.2mdk
- remove redundant configuration options
- buildrequires

* Thu May 20 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.0-0.beta4.1mdk
- 2.2.0-beta4
- sdd back missing doc files

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.0-0.beta3.1mdk
- 2.2.0-beta3
- add epoch and correct versioning
- use libtoolize /bin/true
- guiet setup
- requires/buildrequires
- fix doc build
- disable rpath
- list/add configure options
- don't use versioned dir for libs or *.la
- rm zero-length file
- fix dangling symlinks

* Tue Jan 27 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-1.beta1.1mdk
- include rekall-docs with rekall and rekall-runtime
- include rekall-xbase with rekall-runtime
- 2.2.0-beta1

* Sat Jan 24 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.5mdk
- remove explicite lib calls
- menu entries for rekall and rekall-runtime
- change groups for new menu structure

* Mon Jan 19 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.4mdk
- pre-configure
- break libs into full mklibname
- fix groups
- separate .la and .so files to a versioned directory
- reenable rpath ( doesn't work anyway for KDE and Qt3 libs )
- use proper major for libs
- use requires and provides that work

* Wed Jan 7 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.3mdk
- move libs to where they are supposed to be
- disable rpath
- remove redundant post and postun
- mklibname

* Tue Dec 30 2003 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.2mdk
- fix requires and provides

* Mon Dec 29 2003 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.1mdk
- don't use configure macro - breaks build
- initial Mandrake release 
- Happy New Year
